<?php
Environment::$configuration[ 'loggerConfig' ] = defined( 'PALOOSE_LOGGER_CONFIGURATION_FILE' ) ? PALOOSE_LOGGER_CONFIGURATION_FILE : "context://configs/Paloose.xml" ;
Environment::$configuration[ 'siteRootDirectory' ] = defined( 'PALOOSE_SITE_ROOT_DIRECTORY' ) ? PALOOSE_SITE_ROOT_DIRECTORY : "." ;
Environment::$configuration[ 'rootSiteMap' ] = defined( 'PALOOSE_ROOT_SITEMAP' ) ? PALOOSE_ROOT_SITEMAP : "sitemap.xmap";
Environment::$configuration[ 'cacheDir' ] = defined( 'PALOOSE_CACHE_DIR' ) ? PALOOSE_CACHE_DIR : "";
Environment::$configuration[ 'timeZone' ] = defined( 'TIME_ZONE' ) ? TIME_ZONE : "Europe/London" ;
Environment::$configuration[ 'userExceptionPage' ] = defined( 'PALOOSE_USER_EXCEPTION_PAGE' ) ? PALOOSE_USER_EXCEPTION_PAGE : "resource://resources/errorHandling/userError.html";
Environment::$configuration[ 'userExceptionTransform' ] = defined( 'PALOOSE_USER_EXCEPTION_TRANSFORM' ) ? PALOOSE_USER_EXCEPTION_TRANSFORM : "resource://resources/transforms/errorPage2html.xsl";
Environment::$configuration[ 'userExceptionStyle' ] = defined( 'PALOOSE_USER_EXCEPTION_STYLE' ) ? PALOOSE_USER_EXCEPTION_STYLE : "/paloose/resources/styles/userError.css";
Environment::$configuration[ 'internalExceptionPage' ] = defined( 'PALOOSE_INTERNAL_EXCEPTION_PAGE' ) ? PALOOSE_INTERNAL_EXCEPTION_PAGE : "resource://resources/errorHandling/internalError.html";
Environment::$configuration[ 'internalExceptionTransform' ] = defined( 'PALOOSE_INTERNAL_EXCEPTION_TRANSFORM' ) ? PALOOSE_INTERNAL_EXCEPTION_TRANSFORM : "resource://resources/transforms/errorPage2html.xsl";
Environment::$configuration[ 'internalExceptionStyle' ] = defined( 'PALOOSE_INTERNAL_EXCEPTION_STYLE' ) ? PALOOSE_INTERNAL_EXCEPTION_STYLE : "/paloose/resources/styles/internalError.css";
Environment::$configuration[ 'sitemapNamespace' ] = defined( 'PALOOSE_SITEMAP_NAMESPACE' ) ? PALOOSE_SITEMAP_NAMESPACE : "http://apache.org/cocoon/sitemap/1.0";
Environment::$configuration[ 'sourceNamespace' ] = defined( 'PALOOSE_SOURCE_NAMESPACE' ) ? PALOOSE_SOURCE_NAMESPACE : "http://apache.org/cocoon/source/1.0";
Environment::$configuration[ 'dirNamespace' ] = defined( 'PALOOSE_DIR_NAMESPACE' ) ? PALOOSE_DIR_NAMESPACE : "http://apache.org/cocoon/directory/2.0";
Environment::$configuration[ 'i18nNamespace' ] = defined( 'PALOOSE_I18N_NAMESPACE' ) ? PALOOSE_I18N_NAMESPACE : "http://apache.org/cocoon/i18n/2.1";
Environment::$configuration[ 'sqlNamespace' ] = defined( 'PALOOSE_SQL_QUERY_NAMESPACE' ) ? PALOOSE_SQL_QUERY_NAMESPACE : "http://apache.org/cocoon/SQL/2.0";
Environment::$configuration[ 'pageHitTransform' ] = defined( 'PALOOSE_PAGE_HIT_TRANSFORM' ) ? PALOOSE_PAGE_HIT_TRANSFORM : "resource://resources/transforms/PageHit.xsl";
Environment::$configuration[ 'palooseNamespace' ] = defined( 'PALOOSE_NAMESPACE' ) ? PALOOSE_NAMESPACE : "http://www.paloose.org/schemas/Paloose/1.0";
Environment::$configuration[ 'XHTMLNamespace' ] = defined( 'PALOOSE_XHTML_NAMESPACE' ) ? PALOOSE_XHTML_NAMESPACE : "http://www.w3.org/1999/xhtml";
Environment::$configuration[ 'galleryIndex' ] = defined( 'PALOOSE_GALLERY_INDEX' ) ? PALOOSE_GALLERY_INDEX : "gallery.xml";
Environment::$configuration[ 'ImageMagickBin' ] = defined( 'PALOOSE_IMAGEMAGICK_BIN' ) ? PALOOSE_IMAGEMAGICK_BIN : "";
Environment::$configuration[ 'sessionsRequired' ] = defined( 'PALOOSE_SESSIONS_REQUIRED' ) ? PALOOSE_SESSIONS_REQUIRED : "no";
Environment::$configuration[ 'client' ] = defined( 'PALOOSE_CLIENT' ) ? PALOOSE_CLIENT : "no";
?>
